<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\CheckOut;
use App\Models\Company;
use App\Models\Payment;
use App\Models\Product;
use App\Models\Slider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Http;

class PaymentController extends Controller
{
    public function index(Request $request, $id)
    {
        $product = Product::findOrFail($id);
        $product_price = $product->price;

        $requestData = [
            "profile_id" => "44879",
            "tran_type" => "sale",
            "tran_class" => "ecom",
            "cart_id" => "4244b9fd-c7e9-4f16-8d3c-4fe7bf6c48ca",
            "cart_description" => "product" . $product->id,
            "cart_currency" => "EGP",
            "cart_amount" => $product_price,
            "return" => route('return'),
            "callback" => route('updateCartByIPN', ['id' => $product->id]),
        ];

        $response = Http::withHeaders([
            'Authorization' => 'SZJNLZRWJ2-JJGD6WTJ9W-MGBDWZZMHL',
            'Content-Type' => 'application/json',
        ])->post('https://secure.clickpay.com.sa/payment/request', $requestData);

        if ($response->successful()) {
            $paymentData = $response->json();
            return redirect($paymentData['redirect_url']);
        } else {
            return redirect()->back()->with('error', 'غير مسموح');
        }
    }

     public function return()
{
    return('success');
}     
    
    public function updateCartByIPN(Request $request, $id)
    {
        $data = $request->all();

        $product = Product::findOrFail($id);

        if ($data['payment_result']['response_status'] == "A") {
            CheckOut::create([
                'name' => $data['customer_details']['name'],
                 'product_id' => $product->id,  
                'tran_currency' => $data['tran_currency'],
                 'status' => 'Success',
                'payment_date' => now()
            ]);
            $product->decrement('num_of_paces');
        } elseif ($data['payment_result']['response_status'] == "D") {
            CheckOut::create([
                'name' => $data['customer_details']['name'],
                'amount' => $data['cart_amount'],
                'product_id' => $product->id,  
                 'status' => 'failed',
                'payment_date' => now()
            ]);
        }
    }
}
