<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Company;
use App\Models\Offer;
use App\Models\Product;
use App\Models\Slider;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;

class ProductsWebController extends Controller
{
    

    public function Search(Request $request)
    {
        $search = $request->input('search');
    
         $products = Product::where('name', 'like', '%' . $search . '%')->paginate(10);
    
         $companies = Company::paginate(10);
        $sliders = Slider::all();
     
        return view('website.search', compact('products', 'companies', 'sliders'));
    }
    
   
    public function index()
    {
        $companies=Company::paginate(10);
        $sliders = Slider::all();
        $categories = Category::with('products')->paginate(10);
    
        return view('website.home', compact('categories','companies','sliders'));
    }
 
    public function singleProduct($id)
    {
        $products = Product::findOrFail($id);
        $offers = $products->offers;
        $sliders = Slider::all();
        $companies = Company::paginate(10);
        
        return view('website.single', compact('products', 'companies', 'offers', 'sliders'));
    }
    

    

    
}
 