<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\Company;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class CompanyController extends Controller
{
    public function company(){
        $companies=Company::paginate(10);
        return view('panel.pages.company.index',compact('companies')); 
        
    }
    public function create(Request $request)
    {
        // Validate the request data
        $request->validate([
            'name' => 'required|string',
            'image' => 'nullable|image|mimes:jpeg,png,jpg,gif|max:2048',
        
        ]);
    
         $imagePath = $request->file('image')->store('public/company');
    
         Company::create([
            'name' => $request->name,
            'image' => $imagePath,
           
        ]);
     
         return redirect()->route('admin.company.index')->with('success', 'company created successfully.');
    }
    

    public function delete($id)
    {
        $company = Company::findOrFail($id);

         if (Storage::exists($company->image)) {
            Storage::delete($company->image);
        }

         $company->delete();

        return redirect()->route('admin.company.index')->with('success', 'company deleted successfully.');
    }

    public function update(Request $request, $id)
    {
        $company = Company::findOrFail($id);
        $company->name = $request->input('name');
  
        
        if ($request->hasFile('image')) {
             if ($company->image && Storage::exists($company->image)) {
                Storage::delete($company->image);
            }
    
             $imagePath = $request->file('image')->store('public/company');
            $company->image = $imagePath;
        }
        $company->save();
    
        return redirect()->route('admin.company.index')->with('success', 'company updated successfully');
    }
}
