<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Slider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class SliderControllre extends Controller
{
    public function index()
    {
        $sliders=Slider::paginate(10);
        return view('panel.pages.slider.index',compact('sliders'));
    }

      public function create(Request $request)
    {
         $request->validate([
             'image' => 'required|image',
        ]);
    
         $imagePath = $request->file('image')->store('public/slider');
    
         Slider::create([
             'image' => $imagePath,
           
        ]);
     
         return redirect()->route('admin.slider.index')->with('success', 'slider created successfully.');
    }
    

    public function delete($id)
    {
        $slider = Slider::findOrFail($id);

         if (Storage::exists($slider->image)) {
            Storage::delete($slider->image);
        }

         $slider->delete();

        return redirect()->route('admin.slider.index')->with('success', 'slider deleted successfully.');
    }

    public function update(Request $request, $id)
    {
        $slider = Slider::findOrFail($id);
   
        
        if ($request->hasFile('image')) {
             if ($slider->image && Storage::exists($slider->image)) {
                Storage::delete($slider->image);
            }
    
             $imagePath = $request->file('image')->store('public/slider');
            $slider->image = $imagePath;
        }
        $slider->save();
    
        return redirect()->route('admin.slider.index')->with('success', 'slider updated successfully');
    }

}
