<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CheckoutRequet extends FormRequest
{


    public function authorize()
    {
        return true;
    }

    
    public function rules()
    {
        return [
            'name' => 'required|string|max:255|min:3',
            'mobile' => 'required|string|max:15|min:11',
            'address' => 'required|string|max:255|min:5',
             'way_payment' => 'required|in:offline,online',
         ];
    }

  

    public function attributes()
    {
        return [
            'name' => 'الاسم',
            'mobile' => 'الجوال',
            'address' => 'العنوان',
            'way_payment' => 'طريقة الدفع',
         ];
    }

    public function messages()
    {
        return [
            'required' => 'حقل :attribute مطلوب.',
            'string' => 'حقل :attribute يجب أن يكون نصًا.',
            'max' => 'حقل :attribute يجب ألا يزيد عن :max حرفًا.',
         ];
    }
}
