<?php

namespace App\Models;

use App\Models\Category;
use App\Models\CheckOut;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;

    protected $fillable = [
        'name', 'short_desc', 'long_desc','price', 'product_spec', 'image', 'num_of_paces', 'category_id'
    ];

 public function category()
{
    return $this->belongsTo(Category::class);
}


 public function offers()
{
    return $this->belongsToMany(Offer::class);
}


public function coupon()
{
    return $this->hasOne(Coupon::class);
}

}
 