<?php

use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Storage;

if (!function_exists('fileUploader')) {
    
    function fileUploader($file, $folder)
    {
        $extension = $file->extension();
        $fileName = uniqid() . '_' . strtotime("now") . '.' . $extension;
        return $file->storeAs('upload/' . $folder, $fileName, 'public');
    }
}

if (!function_exists('getFilePath')) {
   
    function getFilePath($path)
    {
        return asset('storage/' . $path);
    }
}

if (!function_exists('deleteFile')) {
    function deleteFile($path)
    {
        if (Storage::exists($path)) {
            Storage::delete($path);
        }
    }
}
