<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasTable('coupons')) {

        Schema::create('coupons', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('name');
            $table->string('code_coupon')->unique()->nullable();
            $table->enum('type_coupon',['ratio','value'])->default('ratio')->nullable();
            $table->string('value_coupon')->nullable();
            $table->date('date_start')->nullable();
            $table->date('date_end')->nullable();
            $table->integer('usage');
            $table->integer('usage_of_user')->nullable();
            $table->boolean('is_review')->default(false);  //false is inactive &&  1 is active
            $table->boolean('is_delete')->default(false);  //false is no_delete &&  1 is is_delete
 
            $table->foreignId('product_id')->constrained('products')->onDelete('cascade');

        });
    }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('coupons');
    }
};
