<!DOCTYPE html>
<html lang="ar" dir="rtl">

<head>
    <meta charset="utf-8" />
    <title>لوحة التحكم</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- App favicon -->
 
    <!-- Plugins css -->
    <link href="{{ asset('panel/assets/libs/quill/quill.core.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/quill/quill.snow.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/quill/quill.bubble.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/file-upload/file-upload-with-preview.min.css') }}" rel="stylesheet" type="text/css">
    <link href="{{ asset('panel/assets/libs/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/mohithg-switchery/switchery.min.css') }}" rel="stylesheet" type="text/css" />

    <!-- third party css -->
    <link href="{{ asset('panel/assets/libs/datatables.net-bs5/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/datatables.net-responsive-bs5/css/responsive.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/datatables.net-buttons-bs5/css/buttons.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('panel/assets/libs/datatables.net-select-bs5/css/select.bootstrap5.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- third party css end -->

    <!-- Sweet Alert-->
    <link href="{{ asset('panel/assets/libs/sweetalert2/sweetalert2.min.css') }}" rel="stylesheet" type="text/css" />

    <!-- App css -->
    <link href="{{ asset('panel/assets/css/app-rtl.min.css') }}" rel="stylesheet" type="text/css" id="app-style" />

    <!-- icons -->
    <link href="{{ asset('panel/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />

    <style>
        table img {
            width: 60px;
            height: 60px;
        }

        table td {
            text-align: center;
            vertical-align: middle !important;
        }

        .is-invalid {
            background-image: none !important;
        }

        input::placeholder {
            text-align: right;
        }

        .select2-results__option[aria-selected=true] {
            display: none;
        }
    </style>

    @stack('styles')
</head>

<body class="loading" data-layout-color="light" data-layout-mode="default" data-layout-size="fluid" data-topbar-color="light" data-leftbar-position="fixed" data-leftbar-color="light" data-leftbar-size='default' data-sidebar-user='true'>

    <!-- Begin page -->
    <div id="wrapper">

        <!-- Topbar Start -->
        @include('panel._includes._header')
        <!-- end Topbar -->

        <!-- Left Sidebar Start -->
        @include('panel._includes._sidebar')
        <!-- Left Sidebar End -->

        <!-- Start Page Content here -->
        <div class="content-page">
            <div class="content">
                @if(session('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    {{ session('success') }}
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            @endif
                <!-- Start Content-->
                <div class="container-fluid">

                    @yield('content')

                </div>
            </div>

             

        </div>
        <!-- End Page content -->

    </div>
    <!-- END wrapper -->

    <!-- Right bar overlay-->
    <div class="rightbar-overlay"></div>

    <!-- Vendor -->
    <script src="{{ asset('panel/assets/libs/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/simplebar/simplebar.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/node-waves/waves.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/waypoints/lib/jquery.waypoints.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/jquery.counterup/jquery.counterup.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/feather-icons/feather.min.js') }}"></script>

    <!-- Plugins js -->
    <script src="{{ asset('panel/assets/libs/quill/quill.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/quill/quill.core.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/select2/js/select2.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/mohithg-switchery/switchery.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/file-upload/file-upload-with-preview.min.js') }}"></script>

    <!-- third party js -->
    <script src="{{ asset('panel/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-buttons-bs5/js/buttons.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-buttons/js/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-keytable/js/dataTables.keyTable.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/datatables.net-select/js/dataTables.select.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/pdfmake/build/pdfmake.min.js') }}"></script>
    <script src="{{ asset('panel/assets/libs/pdfmake/build/vfs_fonts.js') }}"></script>

    <!-- Sweet Alerts js -->
    <script src="{{ asset('panel/assets/libs/sweetalert2/sweetalert2.all.min.js') }}"></script>
    <!-- Sweet alert init js-->
    <script src="{{ asset('panel/assets/js/pages/sweet-alerts.init.js') }}"></script>
    <!-- Datatables init -->
    <script src="{{ asset('panel/assets/js/pages/datatables.init.js') }}"></script>
    <!-- App js -->
    <script src="{{ asset('panel/assets/js/app.min.js') }}"></script>
    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $('#create_modal,#edit_modal').on('hide.bs.modal', function(event) {
                var form = $(this).find('form');
                form.find('select').val('').trigger("change");
                form[0].reset();
                $('.submit_btn').removeAttr('disabled');
                $(".is-invalid").removeClass("is-invalid");
                $(".invalid-feedback").html("");
            });
        });
    </script>
    <script>
        $(document).ready(function() {
            $(document).on('submit', '.ajax_form', function(event) {
                event.preventDefault();
                var form = $(this);
                var url = $(this).attr('action');
                var method = $(this).attr('method');
                const formData = new FormData(this);

                $(".form-group").removeClass("has-error");
                $('.submit_btn').attr('disabled', 'disabled');

                $.ajax({
                    type: method,
                    url: url,
                    data: formData,
                    processData: false,
                    contentType: false,
                    beforeSend: function() {
                        $('.invalid-feedback').html('');
                        $('.is-invalid').removeClass('is-invalid');
                        form.removeClass('was-validated');
                    },
                }).done(function(data) {
                    if (data.success) {
                        Swal.fire({
                            icon: 'success',
                            title: data.message,
                        });
                        form[0].reset();
                        $('.submit_btn').removeAttr('disabled');
                        $('.modal').modal('hide');
                        $('#oTable').DataTable().ajax.reload(null, false);
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: data.message || 'هناك مشكلة ما !',
                        });
                    }
                }).fail(function(data) {
                    if (data.status == 422) {
                        var errors = data.responseJSON.errors;
                        $.each(errors, function(key, value) {
                            var str = key.split(".");
                            if (str[1] === '0') {
                                key = str[0] + '[]';
                            }
                            if (str.length > 1) {
                                key = "";
                                str.forEach((element, index) => {
                                    key += (index === 0) ? element : "[" + element + "]";
                                });
                            }
                            $('[name="' + key + '"], [name="' + key + '[]"]').addClass('is-invalid');
                            $('[name="' + key + '"], [name="' + key + '[]"]').parent().find('.invalid-feedback').html(value[0]);
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: data.responseJSON.message,
                        });
                    }
                }).always(function() {
                    $('.submit_btn').removeAttr('disabled');
                });
            });

            $(document).on('click', '.delete_btn', function(e) {
                e.preventDefault();
                var button = $(this);
                var urls = url + '/' + $(this).data('id');
                Swal.fire({
                    title: 'حذف العنصر',
                    text: 'تأكيد عملية الحذف',
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonText: 'تأكيد',
                    cancelButtonText: 'إلغاء',
                    customClass: {
                        confirmButton: 'btn btn-primary',
                        cancelButton: 'btn btn-outline-danger'
                    },
                    buttonsStyling: true
                }).then(function(result) {
                    if (result.value) {
                        $.ajax({
                            url: urls,
                            method: 'DELETE',
                        }).done(function(data) {
                            if (!data.success) {
                                Swal.fire({
                                    icon: 'error',
                                    title: data.message || 'هناك مشكلة ما !',
                                });
                            } else {
                                Swal.fire({
                                    icon: 'success',
                                    title: data.message,
                                });
                                $('#oTable').DataTable().ajax.reload(null, false);
                            }
                        }).fail(function(data) {
                            Swal.fire({
                                icon: 'error',
                                title: data.responseJSON.message,
                            });
                        });
                    } else if (result.dismiss === Swal.DismissReason.cancel) {
                        Swal.fire({
                            icon: 'error',
                            title: 'تم إلغاء العملية',
                        });
                    }
                });
            });
        });
    </script>
    @stack('scripts')
</body>

</html>
