@inject('Category','App\Models\Category')
@inject('Product','App\Models\Product')
@inject('checkOut','App\Models\CheckOut')
@inject('Company','App\Models\Company')
@inject('Offer','App\Models\Offer')

@extends('panel._layout.app')

@section('content')
<div class="row">
    <div class="col-sm-12 col-md-8">
        <div class="row">
            @foreach ([
                ['name' => 'العروض', 'count' => $Offer->count()],
                ['name' => 'الشركات', 'count' => $Company->count()],
                ['name' => 'الطلبات', 'count' => $checkOut->count()],
                ['name' => '  المنتجات', 'count' => $Product->count()],
                ['name' => 'الاقسام', 'count' => $Category->count()]
            ] as $item)
            <div class="col-sm-12 col-md-4">
                <div class="card">
                    <div class="card-body widget-user">
                        <div class="d-flex align-items-center">
                            <div class="flex-grow-1 overflow-hidden">
                                <h5 class="mt-0 mb-1">{{ $item['name'] }}</h5>
                                <small class="text-success"><b>{{ $item['count'] }}</b></small>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
        </div>

        {{-- Chart --}}
        <div style="height: 500px;">
            <canvas id="myChart"></canvas>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
        <script>
            const ctx = document.getElementById('myChart');

            new Chart(ctx, {
                type: 'bar',
                data: {
                    labels: ['الفئات', 'المنتجات', 'الشركات', 'العروض', 'المدفوعات'],
                    datasets: [{
                        label: '# of Items',
                        data: [
                            {{ $Category->count() }},
                            {{ $Product->count() }},
                            {{ $Company->count() }},
                            {{ $Offer->count() }},
                            {{ $checkOut->count() }}
                        ],
                        backgroundColor: ['red', 'blue', 'yellow', 'Crimson', 'green'],
                        borderColor: ['red', 'blue', 'yellow', 'Crimson', 'green'],
                        borderWidth: 1
                    }]
                },
                options: {
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    },
                    plugins: {
                        legend: {
                            display: false, // You can hide the legend if you want
                        },
                    },
                    maintainAspectRatio: false, // Make the chart responsive
                    responsive: true, // Make the chart responsive
                }
            });
        </script>
        {{-- End Chart --}}
    </div>
</div>
@endsection
