<?php

use App\Http\Controllers\admin\Auth\AdminController;
use App\Http\Controllers\admin\Auth\AuthController;
use App\Http\Controllers\admin\CategoryController;
use App\Http\Controllers\Admin\CompanyController;
use App\Http\Controllers\Admin\CouponController;
use App\Http\Controllers\admin\GeneralController;
use App\Http\Controllers\admin\HomeController;
use App\Http\Controllers\admin\ProductsController;
use App\Http\Controllers\Admin\SliderControllre;
use App\Http\Controllers\admin\OfferControllre;
use Illuminate\Support\Facades\Route;



Route::get('admin/login',[AuthController::class,'login_page'])->name('admin.login');
Route::post('admin/login',[AuthController::class,'login_check'])->name('admin.login.post');
Route::get('admin/logout',[AuthController::class,'logout'])->name('admin.logout');


Route::group(['middleware' => ['admin', 'preventBackHistory']], function () {

Route::group(['controller' => GeneralController::class], function () {
    Route::get('admin','index')->name('home');
    Route::get('admin/payment/index','payment')->name('admin.payment.index');
});
 

// Route to Curd opreation Category 
     Route::group(['controller' => CategoryController::class], function () {
    Route::get('admin/category/index', 'index')->name('admin.category.index');
    Route::post('admin/category/create', 'create')->name('admin.category.create');
    Route::delete('admin/category/{id}/delete', 'delete')->name('admin.category.delete');
    Route::put('/admin/category/{id}', 'update')->name('admin.category.update');

    });

// Route to Curd opreation Products 
    Route::group(['controller' => ProductsController::class], function () {
    Route::put('/admin/product/{id}',  'update')->name('admin.product.update');
    Route::get('admin/products/index', 'index')->name('admin.products.index');
    Route::post('admin/products/create',  'create')->name('admin.product.create');
    Route::delete('admin/product/{id}/delete',  'delete')->name('admin.product.delete');
    
    });


    // Route to Curd opreation Company 
    Route::group(['controller' => CompanyController::class], function () {
    Route::get('admin/company/index', 'company')->name('admin.company.index');
    Route::post('admin/company/create', 'create')->name('admin.company.create');
    Route::delete('admin/company/{id}/delete', 'delete')->name('admin.company.delete');
    Route::put('/admin/company/{id}', 'update')->name('admin.company.update');
    });
    
    Route::group(['controller' => SliderControllre::class], function () {
    Route::get('admin/slider/index',   'index')->name('admin.slider.index');
    Route::post('admin/slider/create',   'create')->name('admin.slider.create');
    Route::delete('admin/slider/{id}/delete',   'delete')->name('admin.slider.delete');
    Route::put('/admin/slider/{id}',   'update')->name('admin.slider.update');
    });
    


    // Route to Curd opreation Offer 
    Route::group(['controller' => OfferControllre::class], function () {
    Route::get('admin/offer/index',   'index')->name('admin.offer.index');
    Route::post('admin/offer/create',   'create')->name('admin.offer.create');
    Route::delete('admin/offer/{id}/delete',  'delete')->name('admin.offer.delete');
    Route::put('/admin/offer/{id}',   'update')->name('admin.offer.update');
    });
    

    
    // Route to Curd opreation Coupon 
    Route::group(['controller' => CouponController::class], function () {
    Route::get('admin/coupon/index', 'index')->name('admin.coupon.index');
    Route::post('admin/coupon/create', 'create')->name('admin.coupon.create');
    Route::delete('admin/coupon/{id}/delete', 'delete')->name('admin.coupon.delete');
    Route::post('admin/status/{id}/delete', 'status')->name('admin.coupon.status');
    Route::put('/admin/coupon/{id}', 'update')->name('admin.coupon.update');
    });
});
    
    
 
