

<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h4 class="mt-0 header-title">المنتجات</h4>
                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#create_modal">
                    <i class="mdi mdi-plus"></i> إضافة
                </button>
            </div>
            <div class="card-body">
                <table id="oTable" class="table table-bordered dt-responsive table-responsive nowrap">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>الاسم</th>
                            <th>السعر</th>
                            <th>تاريخ الإضافة</th>
                            <th>وصف قصير</th>
                            <th>وصف المنتج</th>

                            <th>وصف طويل</th>
                            <th>الصوره</th>

                            <th>عدد القطع</th>
                            <th>الفئه</th>
                            <th>الأدوات</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($product->id); ?></td>
                                <td><?php echo e($product->name); ?></td>
                                <td><?php echo e($product->price); ?></td>
                                <td><?php echo e($product->created_at->format('Y-m-d')); ?></td>
                                <td><?php echo e($product->short_desc); ?></td>
                                <td><?php echo e($product->long_desc); ?></td>
                                <td><?php echo e($product->product_spec); ?></td>
                                <td>
                                    <img src="<?php echo e(Storage::url($product->image)); ?>" alt="Product Image" width="100">
                                </td>
                                <td><?php echo e($product->num_of_paces); ?></td>
                                 <td>
                                    <?php echo e(optional($product->category->first())->name); ?>

                                </td>
                                <td>
                                    <form action="<?php echo e(route('admin.product.delete', ['id' => $product->id])); ?>" method="POST" style="display:inline;" onsubmit="return confirmDelete(event)">
                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('DELETE'); ?>
                                        <button type="submit" class="btn btn-danger">
                                            <i class="fas fa-trash"></i>
                                        </button>
                                    </form>
                                    <a href="#" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#edit_modal_<?php echo e($product->id); ?>">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <div class="row justify-content-between align-items-center" style="padding: 10px; margin-top: 20px;">
                <div class="col-md-2">
                    <?php echo e($products->links('pagination::bootstrap-4')); ?>

                </div>
            </div>
        </div>
    </div>
</div>


<!-- Create Product Modal -->
<div class="modal fade" id="create_modal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-top">
        <div class="modal-content">
            <div class="modal-header bg-light">
                <h4 class="modal-title" id="myCenterModalLabel">إضافة منتج جديد</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
            </div>
            <div class="modal-body">
                <form action="<?php echo e(route('admin.product.create')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="mb-3">
                        <label for="name" class="form-label">اسم المنتج</label>
                        <input type="text" class="form-control" name="name" id="name" placeholder="اسم المنتج" required>
                    </div>

                    <div class="mb-3">
                        <label for="name" class="form-label">سعر المنتج</label>
                        <input type="text" class="form-control" name="price" id="price" placeholder="سعر المنتج" required>
                    </div>

                    <div class="mb-3">
                        <label for="short_desc" class="form-label">وصف قصير</label>
                        <input type="text" class="form-control" name="short_desc" id="short_desc" placeholder="وصف قصير" required>
                    </div>
                    <div class="mb-3">
                        <label for="product_spec" class="form-label">  تعريف بالمنتج</label>
                        <input type="text" class="form-control" name="product_spec" id="product_spec" placeholder="مواصفات المنتج" required>
                    </div>
                    <div class="mb-3">
                        <label for="long_desc" class="form-label">مواصفات المنتج</label>
                        <textarea class="form-control" name="long_desc" id="long_desc" placeholder="وصف طويل" required></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="image" class="form-label">الصورة</label>
                        <input type="file" class="form-control" name="image" id="image" required>
                    </div>
                    <div class="mb-3">
                        <label for="num_of_paces" class="form-label">عدد القطع</label>
                        <input type="number" class="form-control" name="num_of_paces" id="num_of_paces" placeholder="عدد القطع" required>
                    </div>
                    <div class="mb-3">
                        <label for="category_id" class="form-label">الفئة</label>
                        <select class="form-control" name="category_id" id="category_id" required>
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($category->id); ?>"><?php echo e($category->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <button type="submit" class="btn btn-primary">إضافة</button>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- Edit Product Modals -->
<?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <div class="modal fade" id="edit_modal_<?php echo e($product->id); ?>" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-top">
            <div class="modal-content">
                <div class="modal-header bg-light">
                    <h4 class="modal-title" id="editModalLabel">تعديل المنتج</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
                </div>
                <div class="modal-body">
                    <form action="<?php echo e(route('admin.product.update', ['id' => $product->id])); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <div class="mb-3">
                            <label for="name_<?php echo e($product->id); ?>" class="form-label">اسم المنتج</label>
                            <input type="text" class="form-control" name="name" id="name_<?php echo e($product->id); ?>" value="<?php echo e($product->name); ?>" required>
                        </div>

                        <div class="mb-3">
                            <label for="name" class="form-label">سعر المنتج</label>
                            <input type="text" class="form-control" name="price" id="price_<?php echo e($product->id); ?>" value="<?php echo e($product->price); ?>"  placeholder="سعر المنتج" required>
                        </div>


                        <div class="mb-3">
                            <label for="short_desc_<?php echo e($product->id); ?>" class="form-label">وصف قصير</label>
                            <input type="text" class="form-control" name="short_desc" id="short_desc_<?php echo e($product->id); ?>" value="<?php echo e($product->short_desc); ?>" required>
                        </div>
                      

                        <div class="mb-3">
                            <label for="product_spec_<?php echo e($product->id); ?>" class="form-label">وصف طويل</label>
                            <input type="text" class="form-control" name="product_spec" id="product_spec_<?php echo e($product->id); ?>" value="<?php echo e($product->product_spec); ?>" required>
                        </div>
                      
                        <div class="mb-3">
                            <label for="long_desc_<?php echo e($product->id); ?>" class="form-label">   مواصفات المنتج</label>
                            <textarea class="form-control" name="long_desc" id="long_desc_<?php echo e($product->id); ?>" required><?php echo e($product->long_desc); ?></textarea>
                        </div>
                        <div class="mb-3">
                            <label for="image_<?php echo e($product->id); ?>" class="form-label">الصورة</label>
                            <input type="file" class="form-control" name="image" id="image_<?php echo e($product->id); ?>">
                        </div>
                        <div class="mb-3">
                            <label for="num_of_paces_<?php echo e($product->id); ?>" class="form-label">عدد القطع</label>
                            <input type="number" class="form-control" name="num_of_paces" id="num_of_paces_<?php echo e($product->id); ?>" value="<?php echo e($product->num_of_paces); ?>" required>
                        </div>
                        <div class="mb-3" hidden>
                            <label for="category_id_<?php echo e($product->id); ?>" class="form-label">الفئة</label>
                            <select class="form-control" name="category_id" id="category_id_<?php echo e($product->id); ?>" required>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>" <?php echo e($category->id == $product->category_id ? 'selected' : ''); ?>>
                                        <?php echo e($category->name); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <button type="submit" class="btn btn-primary">تحديث</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<script>
    function confirmDelete(event) {
        event.preventDefault();

        Swal.fire({
            title: 'تأكيد الحذف',
            text: 'هل أنت متأكد من رغبتك في الحذف؟',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'نعم',
            cancelButtonText: 'لا'
        }).then((result) => {
            if (result.isConfirmed) {
                event.target.submit(); // Submit the form if confirmed
            } else {
                Swal.fire('تم إلغاء الحذف', '', 'info');
            }
        });

        return false; // Prevent the default form submission
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('panel._layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\user\freelance\mosab\matajar\resources\views/panel/pages/products/index.blade.php ENDPATH**/ ?>